--- title: "getBlockStorageInstanceDetail" slug: "compute-vserver-storage-getblockstorageinstancedetail" updated: 2026-09-17T10:06:00Z published: 2026-09-17T10:06:00Z canonical: "api.ncloud-docs.com/compute-vserver-storage-getblockstorageinstancedetail" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getBlockStorageInstanceDetail Available in VPC Get details of a block storage instance. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/getBlockStorageInstanceDetail | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `blockStorageInstanceNo` | String | Required | Block storage instance number - See [getBlockStorageInstanceList](/docs/en/compute-vserver-storage-getblockstorageinstancelist). | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/getBlockStorageInstanceDetail ?regionCode=KR &blockStorageInstanceNo=10*****19 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getBlockStorageInstanceDetailResponse` | Object | - | Response result - See [BlockStorageInstanceList](/docs/en/common-vapidatatype-blockstorageinstancelist). | | `getBlockStorageInstanceDetailResponse.requestId` | String | - | ID for the request - UUID format | | `getBlockStorageInstanceDetailResponse.returnCode` | String | - | Response code | | `getBlockStorageInstanceDetailResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getBlockStorageInstanceDetailResponse": { "totalRows": 1, "blockStorageInstanceList": [ { "blockStorageInstanceNo": "10*****19", "serverInstanceNo": "10*****18", "blockStorageName": "s-65gu4d2is312u", "blockStorageType": { "code": "BASIC", "codeName": "Default BS" }, "blockStorageSize": 53687091200, "deviceName": "/dev/xvda", "blockStorageProductCode": "SPBSTBSTBS000005", "blockStorageInstanceStatus": { "code": "ATTAC", "codeName": "Block storage ATTACHED status" }, "blockStorageInstanceOperation": { "code": "NULL", "codeName": "Block storage NULL OP" }, "blockStorageInstanceStatusName": "attached", "createDate": "2025-06-18T09:42:04+0900", "blockStorageDescription": "s-65gu4d2is312u's basic storage", "blockStorageDiskType": { "code": "NET", "codeName": "Network storage" }, "blockStorageDiskDetailType": { "code": "SSD", "codeName": "SSD" }, "maxIopsThroughput": 4000, "isEncryptedVolume": false, "zoneCode": "KR-2", "regionCode": "KR", "isReturnProtection": false, "blockStorageVolumeType": { "code": "SSD", "codeName": "SSD" }, "hypervisorType": { "code": "XEN", "codeName": "XEN" } } ], "requestId": "3e659354-****-****-****-ff1193b1381d", "returnCode": "0", "returnMessage": "success" } } ```